Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 414773

Summary: =kde-base/kopete-4.8.3 not compiles with gcc-4.7.0
Product: Gentoo Linux Reporter: David Kredba <nheghathivhistha>
Component: [OLD] KDEAssignee: Gentoo KDE team <kde>
Status: RESOLVED FIXED    
Severity: normal    
Priority: Normal    
Version: unspecified   
Hardware: AMD64   
OS: Linux   
Whiteboard:
Package list:
Runtime testing required: ---
Bug Depends on:    
Bug Blocks: 390247    
Attachments: kopete-4.8.3-gcc-4.7.patch

Description David Kredba 2012-05-05 16:01:09 UTC
MAKEOPTS=-j1:
Linking CXX shared module ../../../lib/kopete_jabber.so [ 71%] Built target kopete_jabber Scanning dependencies of target cricketbase [ 71%] Building CXX object kopete/protocols/jabber/googletalk/libjingle/talk/base/CMakeFiles/cricketbase.dir/socketaddress.o /var/tmp/portage/kde-base/kopete-4.8.3/work/kopete-4.8.3/kopete/protocols/jabber/googletalk/libjingle/talk/base/socketaddress.cc:271:5: warning: "WIN32" is not defined [-Wundef] /var/tmp/portage/kde-base/kopete-4.8.3/work/kopete-4.8.3/kopete/protocols/jabber/googletalk/libjingle/talk/base/socketaddress.cc:304:5: warning: "WIN32" is not defined [-Wundef] /var/tmp/portage/kde-base/kopete-4.8.3/work/kopete-4.8.3/kopete/protocols/jabber/googletalk/libjingle/talk/base/socketaddress.cc:211:6: warning: unused parameter ‘len’ [-Wunused-parameter] /var/tmp/portage/kde-base/kopete-4.8.3/work/kopete-4.8.3/kopete/protocols/jabber/googletalk/libjingle/talk/base/socketaddress.cc:219:6: warning: unused parameter ‘len’ [-Wunused-parameter] /var/tmp/portage/kde-base/kopete-4.8.3/work/kopete-4.8.3/kopete/protocols/jabber/googletalk/libjingle/talk/base/socketaddress.cc: In static member function ‘static std::string talk_base::SocketAddress::GetHostname()’: /var/tmp/portage/kde-base/kopete-4.8.3/work/kopete-4.8.3/kopete/protocols/jabber/googletalk/libjingle/talk/base/socketaddress.cc:284:49: error: ‘gethostname’ was not declared in this scope make[2]: *** [kopete/protocols/jabber/googletalk/libjingle/talk/base/CMakeFiles/cricketbase.dir/socketaddress.o] Error 1 make[1]: *** [kopete/protocols/jabber/googletalk/libjingle/talk/base/CMakeFiles/cricketbase.dir/all] Error 2 make: *** [all] Error 2 * ERROR: kde-base/kopete-4.8.3 failed (compile phase): * emake failed 



MAKEOPTS=-j4 one more error:

 /var/tmp/portage/kde-base/kopete-4.8.3/work/kopete-4.8.3/kopete/protocols/jabber/googletalk/libjingle/talk/base/sigslot.h:306:8: warning: ‘class sigslot::_connection_base0<sigslot::single_threaded>’ has virtual functions and accessible non-virtual destructor [-Wnon-virtual-dtor] In file included from /var/tmp/portage/kde-base/kopete-4.8.3/work/kopete-4.8.3/kopete/protocols/jabber/googletalk/libjingle/talk/base/asyncsocket.h:31:0, from /var/tmp/portage/kde-base/kopete-4.8.3/work/kopete-4.8.3/kopete/protocols/jabber/googletalk/libjingle/talk/base/socketfactory.h:32, from /var/tmp/portage/kde-base/kopete-4.8.3/work/kopete-4.8.3/kopete/protocols/jabber/googletalk/libjingle/talk/base/socketserver.h:31, from /var/tmp/portage/kde-base/kopete-4.8.3/work/kopete-4.8.3/kopete/protocols/jabber/googletalk/libjingle/talk/base/messagequeue.h:37, from /var/tmp/portage/kde-base/kopete-4.8.3/work/kopete-4.8.3/kopete/protocols/jabber/googletalk/libjingle/talk/examples/login/xmpppump.h:31, from /var/tmp/portage/kde-base/kopete-4.8.3/work/kopete-4.8.3/kopete/protocols/jabber/googletalk/libjingle/talk/examples/login/xmpppump.cc:28: /var/tmp/portage/kde-base/kopete-4.8.3/work/kopete-4.8.3/kopete/protocols/jabber/googletalk/libjingle/talk/base/sigslot.h: In instantiation of ‘void sigslot::_signal_base0<mt_policy>::disconnect_all() [with mt_policy = sigslot::single_threaded]’: /var/tmp/portage/kde-base/kopete-4.8.3/work/kopete-4.8.3/kopete/protocols/jabber/googletalk/libjingle/talk/base/sigslot.h:512:4: required from ‘sigslot::_signal_base0<mt_policy>::~_signal_base0() [with mt_policy = sigslot::single_threaded]’ /var/tmp/portage/kde-base/kopete-4.8.3/work/kopete-4.8.3/kopete/protocols/jabber/googletalk/libjingle/talk/base/sigslot.h:2077:8: required from here /var/tmp/portage/kde-base/kopete-4.8.3/work/kopete-4.8.3/kopete/protocols/jabber/googletalk/libjingle/talk/base/sigslot.h:524:5: warning: deleting object of abstract class type ‘sigslot::_connection_base0<sigslot::single_threaded>’ which has non-virtual destructor will cause undefined behaviour [-Wdelete-non-virtual-dtor] In file included from /var/tmp/portage/kde-base/kopete-4.8.3/work/kopete-4.8.3/kopete/protocols/jabber/googletalk/libjingle/talk/base/stringencode.cc:40:0: /var/tmp/portage/kde-base/kopete-4.8.3/work/kopete-4.8.3/kopete/protocols/jabber/googletalk/libjingle/talk/base/stringutils.h: In instantiation of ‘size_t talk_base::sprintfn(CTYPE*, size_t, const CTYPE*, ...) [with CTYPE = char; size_t = long unsigned int]’: /var/tmp/portage/kde-base/kopete-4.8.3/work/kopete-4.8.3/kopete/protocols/jabber/googletalk/libjingle/talk/base/stringencode.cc:326:73: required from here /var/tmp/portage/kde-base/kopete-4.8.3/work/kopete-4.8.3/kopete/protocols/jabber/googletalk/libjingle/talk/base/stringutils.h:204:54: error: ‘vsprintfn’ was not declared in this scope, and no declarations were found by argument-dependent lookup at the point of instantiation [-fpermissive] /var/tmp/portage/kde-base/kopete-4.8.3/work/kopete-4.8.3/kopete/protocols/jabber/googletalk/libjingle/talk/base/stringutils.h:210:8: note: ‘template<class CTYPE> size_t talk_base::vsprintfn(CTYPE*, size_t, const CTYPE*, __va_list_tag*)’ declared here, later in the translation unit make[2]: *** [kopete/protocols/jabber/googletalk/libjingle/talk/base/CMakeFiles/cricketbase.dir/stringencode.o] Error 1 make[1]: *** [kopete/protocols/jabber/googletalk/libjingle/talk/base/CMakeFiles/cricketbase.dir/all] Error 2 make[1]: *** Waiting for unfinished jobs.... [ 7%] [ 7%] Building CXX object kopete/protoc

Usin gcc-4.6.3 it compiles fine.

Reproducible: Always




emerge --info kopete
Portage 2.2.0_alpha101 (default/linux/amd64/10.0/desktop, gcc-4.7.0, glibc-2.15-r1, 3.3.4-gentoo x86_64)
=================================================================
                        System Settings
=================================================================
System uname: Linux-3.3.4-gentoo-x86_64-Intel-R-_Core-TM-2_Quad_CPU_Q9550_@_2.83GHz-with-gentoo-2.1
Timestamp of tree: Sat, 05 May 2012 11:30:01 +0000
app-shells/bash:          4.2_p28
dev-java/java-config:     2.1.11-r3
dev-lang/python:          2.7.3-r2, 3.2.3-r1
dev-util/cmake:           2.8.8-r1
dev-util/pkgconfig:       0.26
sys-apps/baselayout:      2.1
sys-apps/openrc:          0.9.9.3
sys-apps/sandbox:         2.5
sys-devel/autoconf:       2.13, 2.69
sys-devel/automake:       1.9.6-r3, 1.10.3, 1.11.5
sys-devel/binutils:       2.22-r1
sys-devel/gcc:            4.6.3, 4.7.0
sys-devel/gcc-config:     1.7
sys-devel/libtool:        2.4.2
sys-devel/make:           3.82-r3
sys-kernel/linux-headers: 3.3 (virtual/os-headers)
sys-libs/glibc:           2.15-r1
Repositories: gentoo
Installed sets: 
ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="*"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -pipe -ggdb -march=native"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/config /usr/share/gnupg/qualified.txt /usr/share/themes/oxygen-gtk/gtk-2.0 /var/bind /var/lib/hsqldb"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5.4/ext-active/ /etc/php/cgi-php5.4/ext-active/ /etc/php/cli-php5.4/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-O2 -pipe -ggdb -march=native"
DISTDIR="/usr/portage/distfiles"
EMERGE_DEFAULT_OPTS="--quiet-build=n"
FEATURES="assume-digests binpkg-logs compressdebug distlocks ebuild-locks fixlafiles news parallel-fetch preserve-libs protect-owned sandbox sfperms splitdebug strict unknown-features-warn unmerge-logs unmerge-orphans userfetch xattr"
FFLAGS="-O2 -pipe -ggdb -march=native"
GENTOO_MIRRORS="ftp://gentoo.mirror.web4u.cz/"
LANG="cs_CZ.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
LINGUAS="cs en"
MAKEOPTS="-j4"
PKGDIR="/usr/portage/packages"
PORTAGE_COMPRESS="echo"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY=""
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="X a52 aac acl acpi alsa amd64 berkdb bluetooth branding bzip2 cairo caps cdda cdr cli consolekit cracklib crypt cups cxx dbus dri dts dvd dvdr emboss encode exif fam firefox flac fortran gdbm gdu gif gmp gpm gtk iconv idn ithreads java jpeg jpeg2k kde lcms ldap libnotify lzma mad mmx mng modules mp3 mp4 mpeg mudflap multilib ncurses nls nptl nptlonly objc objc++ objc-gc odbc ogg openexr opengl openmp pam pango pcre pdf png policykit ppds pppd qt3support qt4 quad readline samba sasl sdl session slang speex spell sqlite sse sse2 sse4_1 ssl ssse3 startup-notification svg sysfs tcl tcpd threads tiff tk truetype udev unicode usb v4l vorbis wavpack wxwidgets x264 xattr xcb xinerama xml xorg xv xvid xvmc zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" APACHE2_MPMS="worker" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump" CAMERAS="ptp2 canon hp215 sony_dscf1 sony_dscf55" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" FFTOOLS="aviocat cws2fws ffeval graph2dot ismindex pktdumper qt-faststart trasher" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" GRUB_PLATFORMS="pc" INPUT_DEVICES="evdev keyboard mouse" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LINGUAS="cs en" LIRC_DEVICES="inputlirc pctv hauppauge hauppauge_dvb devinput" PHP_TARGETS="php5-4" RUBY_TARGETS="ruby18" USERLAND="GNU" VIDEO_CARDS="nouveau" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON

=================================================================
                        Package Settings
=================================================================

kde-base/kopete-4.8.2 was built with the following:
USE="addbookmarks autoreplace contactnotes gadu handbook highlight history jingle latex msn (multilib) nowlistening oscar otr pipes privacy skype sms ssl statistics texteffect translator urlpicpreview v4l webpresence winpopup xmpp yahoo (-aqua) -debug -groupwise -meanwhile -qq -testbed -zeroconf"
CFLAGS="-O2 -pipe -ggdb -march=core2"
CXXFLAGS="-O2 -pipe -ggdb -march=core2"
Comment 1 David Kredba 2012-05-05 16:02:08 UTC
Upstream bug report opened:

https://bugs.kde.org/show_bug.cgi?id=299449
Comment 2 Michael Palimaka (kensington) gentoo-dev 2012-05-06 17:10:02 UTC
Created attachment 311001 [details, diff]
kopete-4.8.3-gcc-4.7.patch

The attached patch is from upstream SVN, where the bug is fixed.
Comment 3 Johannes Huber gentoo-dev 2012-05-07 10:24:51 UTC
Thanks you all.

+  07 May 2012; Johannes Huber <johu@gentoo.org> +files/kopete-4.8.3-gcc47.patch,
+  kopete-4.8.3.ebuild:
+  Add upstream patch to fix build with gcc47 spotted by Michael (kensington)
+  <gentoo@scribeofthenile.com> wrt bug #414773.